CREATE TABLE hrc_dl_ui_logical_lines (
    LOGICAL_LINE_ID          NUMBER       ,
    DATA_SET_BUS_OBJ_ID      NUMBER           NOT NULL,
    SOURCE_REFERENCE001      VARCHAR2(800),
    SOURCE_REFERENCE002      VARCHAR2(800),
    SOURCE_REFERENCE003      VARCHAR2(800),
    SOURCE_REFERENCE004      VARCHAR2(800),
    SOURCE_REFERENCE005      VARCHAR2(800),
    SOURCE_REFERENCE006      VARCHAR2(800),
    SOURCE_REFERENCE007      VARCHAR2(800),
    SOURCE_REFERENCE008      VARCHAR2(800),
    SOURCE_REFERENCE009      VARCHAR2(800),
    SOURCE_REFERENCE010      VARCHAR2(800),
    ENTERPRISE_ID            NUMBER(18, 0)    NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    LOGICAL_LINE_ID          NUMBER       ,
    DATA_SET_BUS_OBJ_ID      NUMBER           NOT NULL,
    SOURCE_REFERENCE001      VARCHAR2(800),
    SOURCE_REFERENCE002      VARCHAR2(800),
    SOURCE_REFERENCE003      VARCHAR2(800),
    SOURCE_REFERENCE004      VARCHAR2(800),
    SOURCE_REFERENCE005      VARCHAR2(800),
    SOURCE_REFERENCE006      VARCHAR2(800),
    SOURCE_REFERENCE007      VARCHAR2(800),
    SOURCE_REFERENCE008      VARCHAR2(800),
    SOURCE_REFERENCE009      VARCHAR2(800),
    SOURCE_REFERENCE010      VARCHAR2(800),
    ENTERPRISE_ID            NUMBER(18, 0)    NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_hrc_dl_ui_logical_lines PRIMARY KEY (LOGICAL_LINE_ID, LOGICAL_LINE_ID)
);
